-- MySQL dump 10.10
--
-- Host: localhost    Database: dbppii
-- ------------------------------------------------------
-- Server version	5.0.9-beta-nt

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

--
-- Table structure for table `rel2anno`
--

DROP TABLE IF EXISTS `rel2anno`;
CREATE TABLE `rel2anno` (
  `PPI_ID` varchar(20) NOT NULL,
  `TERM_ID` varchar(20) NOT NULL,
  `EVIDENCETAG` varchar(50) default NULL,
  `ASSIGNEDBY` varchar(100) default NULL,
  `LAST_ANNOTATED` date default NULL,
  KEY `PPI_ID` (`PPI_ID`),
  KEY `TERM_ID` (`TERM_ID`),
  CONSTRAINT `FK2_PPI_ID` FOREIGN KEY (`PPI_ID`) REFERENCES `tblproteinrel` (`PPI_ID`),
  CONSTRAINT `FK_TERM_ID` FOREIGN KEY (`TERM_ID`) REFERENCES `term` (`TERM_ID`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Table structure for table `rel2sentence`
--

DROP TABLE IF EXISTS `rel2sentence`;
CREATE TABLE `rel2sentence` (
  `PPI_ID` varchar(20) NOT NULL,
  `SENTENCE_ID` varchar(20) NOT NULL,
  `PMID_ID` varchar(30) default NULL,
  `EVIDENCETAG` varchar(50) default NULL,
  `ASSIGNEDBY` varchar(100) default NULL,
  `LAST_EXTRACTED` date default NULL,
  KEY `PPI_ID` (`PPI_ID`),
  KEY `SENTENCE_ID` (`SENTENCE_ID`),
  CONSTRAINT `FK_PPI_ID` FOREIGN KEY (`PPI_ID`) REFERENCES `tblproteinrel` (`PPI_ID`),
  CONSTRAINT `FK_SENTENCE_ID` FOREIGN KEY (`SENTENCE_ID`) REFERENCES `tblsentence` (`SENTENCE_ID`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Table structure for table `relationship`
--

DROP TABLE IF EXISTS `relationship`;
CREATE TABLE `relationship` (
  `TERM1_ID` varchar(20) default NULL,
  `TYPE` varchar(10) default NULL,
  `TERM2_ID` varchar(20) default NULL,
  KEY `TERM1_ID` (`TERM1_ID`),
  KEY `TERM2_ID` (`TERM2_ID`),
  KEY `FK_TYPE` (`TYPE`),
  CONSTRAINT `FK_TERM1_ID` FOREIGN KEY (`TERM1_ID`) REFERENCES `term` (`TERM_ID`),
  CONSTRAINT `FK_TERM2_ID` FOREIGN KEY (`TERM2_ID`) REFERENCES `term` (`TERM_ID`),
  CONSTRAINT `FK_TYPE` FOREIGN KEY (`TYPE`) REFERENCES `type_def` (`ID`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Table structure for table `tblarticle`
--

DROP TABLE IF EXISTS `tblarticle`;
CREATE TABLE `tblarticle` (
  `PMID` bigint(20) NOT NULL,
  `TITLE` varchar(255) default NULL,
  `AUTHORS` varchar(100) default NULL,
  `JOURNAL` varchar(25) default NULL,
  `YEAR` int(4) default NULL,
  `VOLUME` varchar(10) default NULL,
  `PAGES` varchar(10) default NULL,
  `PUBLISHER` varchar(20) default NULL,
  `ABSTRACT` text,
  `KEYWORDS` varchar(50) default NULL,
  `PUBLISHION_TYPE` varchar(20) default NULL,
  PRIMARY KEY  (`PMID`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Table structure for table `tblppii`
--

DROP TABLE IF EXISTS `tblppii`;
CREATE TABLE `tblppii` (
  `ID` char(30) NOT NULL,
  `pro1_id` bigint(50) NOT NULL,
  `pro1_name` varchar(200) NOT NULL,
  `pro2_id` varchar(50) NOT NULL,
  `pro2_name` varchar(200) NOT NULL,
  `BP` varchar(500) default NULL,
  `BF` varchar(500) default NULL,
  `SCL` varchar(500) default NULL,
  `RS` varchar(500) default NULL,
  `IT` varchar(500) default NULL,
  `DM` varchar(500) default NULL,
  `PMID_ID` char(200) default NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Table structure for table `tblprotein`
--

DROP TABLE IF EXISTS `tblprotein`;
CREATE TABLE `tblprotein` (
  `PROTEIN_ID` varchar(20) NOT NULL,
  `NAME` varchar(255) NOT NULL,
  `ABBREVIATION` varchar(25) default NULL,
  `TAXOID` bigint(20) NOT NULL,
  `SPECIE_NAME` varchar(50) NOT NULL,
  `SPECIE_ABBREVIATION` varchar(3) NOT NULL,
  `REFER_DB` varchar(25) default NULL,
  `REFER_ACCESS` varchar(25) default NULL,
  PRIMARY KEY  (`PROTEIN_ID`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Table structure for table `tblproteinrel`
--

DROP TABLE IF EXISTS `tblproteinrel`;
CREATE TABLE `tblproteinrel` (
  `PPI_ID` varchar(20) NOT NULL,
  `PROTEINA_ID` varchar(20) NOT NULL,
  `PROTEINB_ID` varchar(20) NOT NULL,
  `REFER_DB` varchar(25) default NULL,
  `REFER_ACCESS` varchar(25) default NULL,
  PRIMARY KEY  (`PPI_ID`),
  KEY `PROTEIN1_ID` (`PROTEINA_ID`),
  KEY `PROTEIN2_ID` (`PROTEINB_ID`),
  CONSTRAINT `PROTEIN_IDFK_1` FOREIGN KEY (`PROTEINB_ID`) REFERENCES `tblprotein` (`PROTEIN_ID`),
  CONSTRAINT `PROTEIN_IDFK_2` FOREIGN KEY (`PROTEINA_ID`) REFERENCES `tblprotein` (`PROTEIN_ID`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Table structure for table `tblsentence`
--

DROP TABLE IF EXISTS `tblsentence`;
CREATE TABLE `tblsentence` (
  `SENTENCE_ID` varchar(20) NOT NULL,
  `PMID` bigint(20) NOT NULL,
  `PMID_ID` varchar(30) NOT NULL,
  `SENTENCE` text,
  PRIMARY KEY  (`SENTENCE_ID`),
  KEY `PMID` (`PMID`),
  CONSTRAINT `PMID_FK_1` FOREIGN KEY (`PMID`) REFERENCES `tblarticle` (`PMID`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Table structure for table `term`
--

DROP TABLE IF EXISTS `term`;
CREATE TABLE `term` (
  `TERM_ID` varchar(20) NOT NULL,
  `NAME` varchar(255) default NULL,
  `NAMESPACE` varchar(50) default NULL,
  PRIMARY KEY  (`TERM_ID`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Table structure for table `type_def`
--

DROP TABLE IF EXISTS `type_def`;
CREATE TABLE `type_def` (
  `ID` varchar(20) NOT NULL,
  `NAME` varchar(255) default NULL,
  `IS_A` varchar(50) default NULL,
  `TRANSITIVE_OVER` text,
  `XREF` text,
  `IS_TRANSITIVE` varchar(50) default NULL,
  PRIMARY KEY  (`ID`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

